# class Resolv::DNS::SvcParam

Base class for `SvcParam`. [RFC9460]

### Public Class Methods

key_name ()
Source

    # File lib/resolv.rb, line 1827
    def self.key_name
      const_get(:KeyName)
    end

Get the presentation name of the SvcParamKey.

key_number ()
Source

    # File lib/resolv.rb, line 1834
    def self.key_number
      const_get(:KeyNumber)
    end

Get the registered number of the SvcParamKey.